package processing

/*
func TestStoreOneProcessing(t *testing.T) {
	p := ProcessingResource{Container: "totoCont",
		AbstractResource: resources.AbstractResource{
			AbstractObject: utils.AbstractObject{Name: "testData"},
			Description:    "Lorem Ipsum",
			Logo:           "azerty.com",
			Owner:          "toto",
			OwnerLogo:      "totoLogo",
			SourceUrl:      "azerty.fr",
		},
	}

	sma := ProcessingMongoAccessor{}
	id, _, _ := sma.StoreOne(&p)

	assert.NotEmpty(t, id)
}

func TestLoadOneProcessing(t *testing.T) {
	p := ProcessingResource{Container: "totoCont",
		AbstractResource: resources.AbstractResource{
			AbstractObject: utils.AbstractObject{Name: "testData"},
			Description:    "Lorem Ipsum",
			Logo:           "azerty.com",
			Owner:          "toto",
			OwnerLogo:      "totoLogo",
			SourceUrl:      "azerty.fr",
		},
	}

	sma := ProcessingMongoAccessor{}
	new_s, _, _ := sma.StoreOne(&p)
	assert.Equal(t, p, new_s)
}
*/
